<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Calculadora</title>
    <link rel="stylesheet" href="style.css" />
  </head>
  <body>
    <h1>CALCULADORA</h1>
    <div class="calc-container">
      <input type="text" readonly />
      <div class="buttons-container">
        <button id="ac" class="operador">AC</button>
        <button class="operador">+/-</button>
        <button class="operador">%</button>
        <button class="operador">/</button>
        <button class="number">7</button>
        <button class="number">8</button>
        <button class="number" value="9">9</button>
        <button class="operador">x</button>
        <button class="number">4</button>
        <button class="number">5</button>
        <button class="number">6</button>
        <button class="operador">-</button>
        <button class="number">1</button>
        <button class="number">2</button>
        <button class="number">3</button>
        <button class="operador">+</button>
        <button id="zero" class="number">0</button>
        <button class="number">.</button>
        <button id="equal" class="operador">=</button>
      </div>
    </div>
    <script src="script.js"></script>
    <script>
      const btnNumber = document.querySelectorAll(".number");
      const btnOperador = document.querySelectorAll(".operador");
      const igual = document.querySelector("#equal");
      const ac = document.querySelector("#ac");

      function imprimir(ev) {
        const entrada = ev.target.textContent;
        const salida = document.querySelector("input");
        console.log(entrada);
        salida.value += entrada;
      }

      function operador(ev, operacion) {
        const entradaOperador = ev.target.textContent;
        const entradaOperando = document.querySelector("input");
        operacion.operando1 = entradaOperando.value;
        operacion.operador = entradaOperador;
        console.log(operacion);
        entradaOperando.value = "";
      }

      let operacion = new Operacion();

      function auxOperador(ev) {
        operador(ev, operacion);
      }

      for (btn of btnNumber) {
        btn.addEventListener("click", imprimir);
      }

      for (btn of btnOperador) {
        btn.addEventListener("click", auxOperador);
      }

      ac.removeEventListener("click", auxOperador);
      igual.removeEventListener("click", auxOperador);
      igual.addEventListener("click", (ev) => {
        const input = document.querySelector("input");
        operacion.operando2 = input.value;
        input.value = operacion.calcular();
        operacion.reset();
      });

      ac.addEventListener("click", (ev) => {
        const input = document.querySelector("input");
        input.value = "";
        operacion.reset();
      });
    </script>
  </body>
</html>
